# Enum Class PreserveAspectRatio

java.lang.Object
java.lang.Enum<PreserveAspectRatio>
org.jfree.svg.PreserveAspectRatio

All Implemented Interfaces:
  `Serializable, Comparable<PreserveAspectRatio>, Constable`

public enum PreserveAspectRatio extends Enum<PreserveAspectRatio>
An enumeration of the values for the `preserveAspectRatio` attribute.

Since:
  3.2

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
Value 'none'.
`XMAX_YMAX`
Value 'xMaxYMax'.
`XMAX_YMID`
Value 'xMaxYMid'.
`XMAX_YMIN`
Value 'xMaxYMin'.
`XMID_YMAX`
Value 'xMidYMax'.
`XMID_YMID`
Value 'xMidYMid'.
`XMID_YMIN`
Value 'xMidYMin'.
`XMIN_YMAX`
Value 'xMinYMax'.
`XMIN_YMID`
Value 'xMinYMid'.
`XMIN_YMIN`
Value 'xMinYMin'.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static PreserveAspectRatio`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PreserveAspectRatio[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final PreserveAspectRatio NONE
Value 'none'.

### XMIN_YMIN

public static final PreserveAspectRatio XMIN_YMIN
Value 'xMinYMin'.

### XMIN_YMID

public static final PreserveAspectRatio XMIN_YMID
Value 'xMinYMid'.

### XMIN_YMAX

public static final PreserveAspectRatio XMIN_YMAX
Value 'xMinYMax'.

### XMID_YMIN

public static final PreserveAspectRatio XMID_YMIN
Value 'xMidYMin'.

### XMID_YMID

public static final PreserveAspectRatio XMID_YMID
Value 'xMidYMid'.

### XMID_YMAX

public static final PreserveAspectRatio XMID_YMAX
Value 'xMidYMax'.

### XMAX_YMIN

public static final PreserveAspectRatio XMAX_YMIN
Value 'xMaxYMin'.

### XMAX_YMID

public static final PreserveAspectRatio XMAX_YMID
Value 'xMaxYMid'.

### XMAX_YMAX

public static final PreserveAspectRatio XMAX_YMAX
Value 'xMaxYMax'.

## Method Details

### values

public static PreserveAspectRatio[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PreserveAspectRatio valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<PreserveAspectRatio>`